#ifndef __MIMIC__H_
#define __MIMIC__H_

#include "MimicInterface.h"
#include "dmmap.h"
#include <iostream>
#include <vector>
#include <stdlib.h>
#include <time.h>

using namespace std;

class mimic : public MimicInterface {
	public:
        mimic();
        vector<dmmap> dmmaps;
		void createMap(string input);
		vector<string> getSuffixList(string prefix);
        void add_to_dmmap(string prefix, string suffix);
		string generateText();
        friend ostream & operator<<(ostream & os, mimic m);
};
ostream & operator<<(ostream & os, mimic m);
#endif
